Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class JarArchive

    java.lang.Object
      |
      +--com.ibm.awb.misc.Archive
            |
            +--com.ibm.awb.misc.JarArchive

All Implemented Interfaces:
  java.io.Serializable

public class JarArchive
extends Archive

See Also:
  Serialized Form

Inner classes inherited from class com.ibm.awb.misc.Archive
`Archive.Entry`

Fields inherited from class com.ibm.awb.misc.Archive
`digestGen`

Constructor Summary
`JarArchive(java.io.InputStream in)`
`JarArchive(java.lang.String zipname)`

Method Summary
`Archive` | `getArchiveFor(java.lang.String classname)`
`Manifest` | `getManifest()`
`byte[]` | `getResourceAsByteArray(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`boolean` | `isAglet(java.lang.String classname)`
`void` | `readObject(java.io.ObjectInputStream s)`

Methods inherited from class com.ibm.awb.misc.Archive
`entries, getEntry, getResourceInCache, putResource, putResource, removeResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarArchive

    public JarArchive(java.io.InputStream in)
               throws java.io.IOException

### JarArchive

    public JarArchive(java.lang.String zipname)
               throws java.io.IOException

Method Detail

### getArchiveFor

    public Archive getArchiveFor(java.lang.String classname)

### getManifest

    public Manifest getManifest()

### getResourceAsByteArray

    public byte[] getResourceAsByteArray(java.lang.String name)

  Overrides:
    `getResourceAsByteArray` in class `Archive`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Overrides:
    `getResourceAsStream` in class `Archive`

### isAglet

    public boolean isAglet(java.lang.String classname)

### readObject

    public void readObject(java.io.ObjectInputStream s)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD